# HG changeset patch
# Node ID ce3439158859
# Parent  04c042e3618b
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -119,7 +119,6 @@
 subdir('talkatu')
 subdir('po')
 subdir('demo')
-subdir('packaging')
 subdir('vapi')
 
 ###############################################################################
diff --git a/packaging/debian/changelog b/packaging/debian/changelog
deleted file mode 100644
--- a/packaging/debian/changelog
+++ /dev/null
@@ -1,5 +0,0 @@
-talkatu (0.0.1) UNRELEASED; urgency=medium
-
-  * Initial release.
-
- -- Gary Kramlich <grim@reaperworld.com>  Sun, 29 Jul 2018 00:03:51 -0500
diff --git a/packaging/debian/control b/packaging/debian/control
deleted file mode 100644
--- a/packaging/debian/control
+++ /dev/null
@@ -1,92 +0,0 @@
-Source: talkatu
-Section: libs
-Priority: optional
-Maintainer: Gary Kramlich <grim@reaperworld.com>
-Build-Depends: debhelper-compat (=12),
-               meson, libglib2.0-dev,
-               libgtk-4-dev, libgtk-4-bin,
-               gettext, help2man,
-               gobject-introspection,
-               libgumbo-dev, libcmark-dev,
-               valac
-Homepage: https://keep.imfreedom.org/talkatu/talkatu/
-Vcs-Browser: https://keep.imfreedom.org/talkatu/talkatu/file/default
-Vcs-Hg: https://keep.imfreedom.org/talkatu/talkatu/
-Standards-Version: 4.1.5
-
-Package: libtalkatu0
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libtalkatu-common (=${source:Version}),
-         libglib2.0-0 (>=2.40.0),
-         libgtk-4-1 (>=4.6.0),
-         libgumbo1,
-         libcmark0
-Description: GTK widgets for chat applications
- Talkatu provides support for parsing and rendering plain text, HTML, and
- Markdown inside of GTK.
- .
- This package contains the main library.
-
-Package: libtalkatu-dev
-Architecture: any
-Section: libdevel
-Depends: ${misc:Depends},
-         libtalkatu0 (=${binary:Version}),
-         gir1.2-talkatu-0.0 (=${binary:Version}),
-         libglib2.0-dev,
-         libgtk-4-dev
-Description: Development files for the talkatu library
- Talkatu provides support for parsing and rendering plain text, HTML, and
- Markdown inside of GTK.
- .
- This package includes the files used for development against libtalkatu.
-
-Package: libtalkatu-common
-Architecture: all
-Section: misc
-Depends: ${misc:Depends},
-Description: Common files for the talkatu library
- Talkatu provides support for parsing and rendering plain text, HTML, and
- Markdown inside of GTK.
- .
- This package contains the common files that the library needs.
-
-Package: libtalkatu-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Suggests: libtalkatu-dev
-Description: Documentation for the talkatu library
- Talkatu provides support for parsing and rendering plain text, HTML, and
- Markdown inside of GTK.
- .
- This package contains the documentation for the library.
-
-Package: talkatu-demo
-Architecture: any
-Section: utils
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libtalkatu0 (=${binary:Version}),
-         libglib2.0-0 (>=2.40.0),
-         libgtk-4-0 (>=4.6.0)
-Description: Demo for the talkatu library
- Talkatu provides support for parsing and rendering plain text, HTML, and
- Markdown inside of GTK.
- .
- This package contains the demo application.
-
-Package: gir1.2-talkatu-0.0
-Architecture: any
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         libtalkatu0 (=${binary:Version})
-Section: introspection
-Description: typelib for talkatu library
- Talkatu provides support for parsing and rendering plain text, HTML, and
- Markdown inside of GTK.
- .
- This package can be used by other packages using the GIRepository format to
- generate dynamic bindings for libtalkatu.
diff --git a/packaging/debian/copyright b/packaging/debian/copyright
deleted file mode 100644
--- a/packaging/debian/copyright
+++ /dev/null
@@ -1,25 +0,0 @@
-Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
-Upstream-Name: talkatu
-Upstream-Contact: grim@reaperworld.com
-Source: https://keep.imfreedom.org/talkatu/talkatu/
-
-Files: *
-Copyright: 2017-2020 Gary Kramlich <grim@reaperworld.com>
-License: GPL-2+
-
-License: GPL-2+
- This library is free software; you can redistribute it and/or modify
- it under the terms of the GNU General Public License as published by
- the Free Software Foundation; either version 2 of the License, or
- (at your option) any later version.
- .
- This library is distributed in the hope that it will be useful,
- but WITHOUT ANY WARRANTY; without even the implied warranty of
- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- GNU General Public License for more details.
- .
- You should have received a copy of the GNU General Public License
- along with this library; if not, see <https://www.gnu.org/licenses/>.
- .
- On Debian systems, the complete text of the GNU General Public License
- can be found in /usr/share/common-licenses/GPL-2.
diff --git a/packaging/debian/gir1.2-talkatu-0.0.install b/packaging/debian/gir1.2-talkatu-0.0.install
deleted file mode 100644
--- a/packaging/debian/gir1.2-talkatu-0.0.install
+++ /dev/null
@@ -1,1 +0,0 @@
-usr/lib/*/girepository-1.0/
diff --git a/packaging/debian/libtalkatu-common.install b/packaging/debian/libtalkatu-common.install
deleted file mode 100644
--- a/packaging/debian/libtalkatu-common.install
+++ /dev/null
@@ -1,1 +0,0 @@
-usr/share/locale
diff --git a/packaging/debian/libtalkatu-dev.install b/packaging/debian/libtalkatu-dev.install
deleted file mode 100644
--- a/packaging/debian/libtalkatu-dev.install
+++ /dev/null
@@ -1,6 +0,0 @@
-usr/include/
-usr/lib/*/libtalkatu.so
-usr/lib/*/pkgconfig/*.pc
-usr/share/gir-1.0/
-debian/tmp/usr/share/vala/vapi/talkatu.deps
-debian/tmp/usr/share/vala/vapi/talkatu.vapi
diff --git a/packaging/debian/libtalkatu-doc.install b/packaging/debian/libtalkatu-doc.install
deleted file mode 100644
--- a/packaging/debian/libtalkatu-doc.install
+++ /dev/null
@@ -1,1 +0,0 @@
-usr/share/doc/talkatu/
diff --git a/packaging/debian/libtalkatu0.install b/packaging/debian/libtalkatu0.install
deleted file mode 100644
--- a/packaging/debian/libtalkatu0.install
+++ /dev/null
@@ -1,3 +0,0 @@
-usr/lib/*/libtalkatu.so.*
-usr/share/doc/talkatu/
-
diff --git a/packaging/debian/rules b/packaging/debian/rules
deleted file mode 100755
--- a/packaging/debian/rules
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/usr/bin/make -f
-
-export DH_VERBOSE = 1
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-%:
-	dh $@ --buildsystem=meson --with gir
diff --git a/packaging/debian/source/format b/packaging/debian/source/format
deleted file mode 100644
--- a/packaging/debian/source/format
+++ /dev/null
@@ -1,2 +0,0 @@
-3.0 (native)
-
diff --git a/packaging/debian/talkatu-demo.install b/packaging/debian/talkatu-demo.install
deleted file mode 100644
--- a/packaging/debian/talkatu-demo.install
+++ /dev/null
@@ -1,2 +0,0 @@
-usr/bin/talkatu-demo
-usr/share/man/man1/talkatu-demo.1
diff --git a/packaging/meson.build b/packaging/meson.build
deleted file mode 100644
--- a/packaging/meson.build
+++ /dev/null
@@ -1,4 +0,0 @@
-configure_file(
-	input : 'talkatu.spec.in',
-	output : 'talkatu.spec',
-	configuration : version_conf)
diff --git a/packaging/talkatu.spec.in b/packaging/talkatu.spec.in
deleted file mode 100644
--- a/packaging/talkatu.spec.in
+++ /dev/null
@@ -1,119 +0,0 @@
-Name:		talkatu
-Version:	@TALKATU_MAJOR_VERSION@.@TALKATU_MINOR_VERSION@.@TALKATU_MICRO_VERSION@
-%if "@TALKATU_EXTRA_VERSION@" == ""
-Release:	1.%{?build_number}%{?!build_number:1}%{?dist}
-%else
-Release:	0.%{?build_number}%{?!build_number:1}%{?dist}
-%endif
-License:	GPLv2+
-Summary:	A collection of GTK widgets for chat applications
-Url:		https://keep.imfreedom.org/talkatu/talkatu
-Group:		Development/Libraries
-
-BuildRequires: cmark-devel
-BuildRequires: gettext
-BuildRequires: gi-docgen
-BuildRequires: glib2-devel >= 2.20.0
-BuildRequires: gobject-introspection-devel
-BuildRequires: gtk4-devel
-BuildRequires: gumbo-parser-devel
-BuildRequires: help2man
-BuildRequires: libadwaita-devel
-BuildRequires: meson >= 0.37.0
-BuildRequires: vala
-
-%if 0%{?suse_version} > 0
-# avoid "directories not owned by a package" error
-%define notownedhack 1
-%else
-%define notownedhack 0
-%endif
-
-%package devel
-Summary:	A collection of GTK widgets for chat applications
-Group:		Development/Libraries
-Requires:	%{name}%{?_isa} = %{version}-%{release}
-
-%package vala
-Summary:	A collection of GTK widgets for chat applications
-Group:		Development/Libraries
-Requires:	%{name}%{?_isa} = %{version}-%{release}
-
-%description
-Talkatu is a collection of GTK widgets for rendering plain text, HTML and
-Markdown inside of GTK.
-
-This package contains the main library.
-
-%description devel
-Talkatu provides support for parsing and rendering plain text, HTML and
-Markdown inside of GTK.
-
-This package includes the files used for development against libtalkatu.
-
-%description vala
-Talkatu provides support for parsing and rendering plain text, HTML and
-Markdown inside of GTK.
-
-This package contains the vapi bindings allowing Talkatu to be used from vala.
-
-%build
-%meson
-%meson_build
-
-%install
-%meson_install
-%find_lang %{name}
-
-# Unneeded files
-%if %{notownedhack} == 1
-rm -rf %{buildroot}%{_datadir}/talkatu/
-%endif
-
-%check
-%meson_test
-
-%post -p /sbin/ldconfig
-
-%postun -p /sbin/ldconfig
-
-%files -f %{name}.lang
-%defattr(-,root,root)
-%doc README.md ChangeLog logo.png
-%if %{notownedhack} == 0
-%license COPYING
-%endif
-%{_bindir}/talkatu-demo
-%{_mandir}/man1/talkatu-demo.1*
-%{_libdir}/libtalkatu.so.0.1.0
-
-%files devel
-%defattr(-,root,root)
-%doc README.md HACKING logo.png
-%if %{notownedhack} == 0
-%license COPYING
-%endif
-%{_includedir}/talkatu-1.0/
-%{_libdir}/libtalkatu.so
-%{_libdir}/libtalkatu.so.0
-%{_libdir}/pkgconfig/talkatu.pc
-%{_libdir}/girepository-1.0/Talkatu-0.0.typelib
-%{_datadir}/doc/talkatu/
-%{_datadir}/gir-1.0/Talkatu-0.0.gir
-
-%files vala
-%defattr(-,root,root)
-%doc README.md HACKING logo.png
-%if %{notownedhack} == 0
-%license COPYING
-%endif
-%{_datadir}/vala/vapi/talkatu.vapi
-%{_datadir}/vala/vapi/talkatu.deps
-
-%changelog
-* Thu May 21 2020 Gary Kramlich <grim@reaperworld.com>
-- Added Vala package
-
-* Tue Jul 31 2018 Gary Kramlich <grim@reaperworld.com>
-- Initial revision
-
